package CalculiX;

class EConstant extends Expression {

  // The constant.
  final Value k;

  EConstant (int i)
  {
    this.k = new VInteger (i);
  }

  EConstant (boolean b)
  {
    this.k = new VBoolean (b);
  }
  
  Value eval (Environment env)
  {
    // A constant is its own value.
    return k;
  }

}
